## QmiClientOma QmiClientOma — QmiClient for the OMA service. |

## Synopsis

    struct              QmiClientOma;

## Object Hierarchy

      GObject
       +----QmiClient
             +----QmiClientOma

## Signals

      "event-report"                                   : Run Last

## Description

QmiClient which handles operations in the OMA service.

## Details

### struct QmiClientOma

    struct QmiClientOma;

The QmiClientOma structure contains private data and should only be accessed using the provided API.

## Signal Details

### The `"event-report"` signal

    void                user_function                      (QmiClientOma                      *object,
                                                            QmiIndicationOmaEventReportOutput *output,
                                                            gpointer                           user_data)      : Run Last

The ::event-report signal gets emitted when a 'Event Report' indication is received.

`object` : | A QmiClientOma.
`output` : | A QmiIndicationOmaEventReportOutput.
`user_data` : | user data set when the signal handler was connected.